Packager: Repocop Q. A. Robot <repocop@altlinux.org>
Name: qtcl
%define kname ktcl
Version: 1.2
Release: alt6.1
Summary: QTcl implements bindings from Qt to tcl
Summary(uk_UA.CP1251): QTcl  '  Qt  tcl
Summary(ru_RU.CP1251): QTcl    Qt  tcl
License: %gpl2only
Group: Development/Tcl
URL: http://sourceforge.net/projects/%name/
Source0: %name-%version.tar.bz2
Source1: README.KTcl
Patch0: %name-1.2-makefile.patch
Patch1: %name-1.2-configure.patch
Patch2: %name-1.2-sizeof_ptr.patch
Requires: lib%name = %version

# Automatically added by buildreq on Fri Mar 21 2008
BuildRequires: gcc-c++ kdelibs-devel libqt3-devel libtcl tcl-devel
BuildRequires: rpm-build-licenses

%description
QTcl is the tool to connect state of the art cross platform gui design
with the power of tcl as scripting language for prototypes and small
projects.
Features:
- simple interpreter object for embedding or %name-shell
- handles all Qt objects not only objects created by the interpreter
- full introspection for all objects
- integrates xml-based gui descriptions generated by gui-designer
- factorys for widgets, actions and layouts etc
- implementations for file event and after
- implementation for event receiver and bindings
- debug console and/or shell
- simple extensions
- works with Qt3 and tcl from 7.3 upwards
- works with unicode (if using tcl8.4 or younger)
- no need for tk functions or library
- some widget examples included
- easy to use and extend framework for wrapping Qt objects and their
  methods.

%description -l uk_UA.CP1251
QTcl -        
 GUI   tcl,   ,   
 .
:
-  '     %name-
-   ' Qt,     
  '
-     '
-   GUI- XML- GUI
-    , ,   ..
-       ""
-      '
-    / 
-  
-   Qt3  tcl 7.3  
-    (   tcl8.4  )
-       tk
-    
-        
  Qt-'   .

%description -l ru_RU.CP1251
QTcl -       
  GUI   tcl,   ,
    .
:
-       %name-
-    Qt,     
  
-     
-   GUI- XML- GUI
-    , ,   ..
-       ""
-      
-    / 
-  
-   Qt3  tcl 7.3  
-    (   tcl8.4  )
-       tk
-    
-        
  Qt-   .


%package -n lib%name
Summary: Shared library for QTcl
License: GPL
Group: Development/Tcl
Provides: lib%name.so

%description -n lib%name
QTcl is the tool to connect state of the art cross platform gui design
with the power of tcl as scripting language for prototypes and small
projects.
Features:
- simple interpreter object for embedding or %name-shell
- handles all Qt objects not only objects created by the interpreter
- full introspection for all objects
- integrates xml-based gui descriptions generated by gui-designer
- factorys for widgets, actions and layouts etc
- implementations for file event and after
- implementation for event receiver and bindings
- debug console and/or shell
- simple extensions
- works with Qt3 and tcl from 7.3 upwards
- works with unicode (if using tcl8.4 or younger)
- no need for tk functions or library
- some widget examples included
- easy to use and extend framework for wrapping Qt objects and their
  methods.

This package includes the shared library needed to run lib%name-based
software.

%description -n lib%name -l uk_UA.CP1251
QTcl -        
 GUI   tcl,   ,   
 .
:
-  '     %name-
-   ' Qt,     
  '
-     '
-   GUI- XML- GUI
-    , ,   ..
-       ""
-      '
-    / 
-  
-   Qt3  tcl 7.3  
-    (   tcl8.4  )
-       tk
-    
-        
  Qt-'   .
  
    ,   
,   lib%name.

%description -n lib%name -l ru_RU.CP1251
QTcl -       
  GUI   tcl,   ,
    .
:
-       %name-
-    Qt,     
  
-     
-   GUI- XML- GUI
-    , ,   ..
-       ""
-      
-    / 
-  
-   Qt3  tcl 7.3  
-    (   tcl8.4  )
-       tk
-    
-        
  Qt-   .
  
    ,   
,  lib%name.


%package -n lib%name-devel
Summary: Files required to compile software that uses lib%name
License: GPL
Group: Development/C++

%description -n lib%name-devel
QTcl is the tool to connect state of the art cross platform gui design
with the power of tcl as scripting language for prototypes and small
projects.
Features:
- simple interpreter object for embedding or %name-shell
- handles all Qt objects not only objects created by the interpreter
- full introspection for all objects
- integrates xml-based gui descriptions generated by gui-designer
- factorys for widgets, actions and layouts etc
- implementations for file event and after
- implementation for event receiver and bindings
- debug console and/or shell
- simple extensions
- works with Qt3 and tcl from 7.3 upwards
- works with unicode (if using tcl8.4 or younger)
- no need for tk functions or library
- some widget examples included
- easy to use and extend framework for wrapping Qt objects and their
  methods.

This package includes the header files needed to develop lib%name-based
software.

%description -n lib%name-devel -l uk_UA.CP1251
QTcl -        
 GUI   tcl,   ,   
 .
:
-  '     %name-
-   ' Qt,     
  '
-     '
-   GUI- XML- GUI
-    , ,   ..
-       ""
-      '
-    / 
-  
-   Qt3  tcl 7.3  
-    (   tcl8.4  )
-       tk
-    
-        
  Qt-'   .
  
    ,     
 lib%name.

%description -n lib%name-devel -l ru_RU.CP1251
QTcl -       
  GUI   tcl,   ,
    .
:
-       %name-
-    Qt,     
  
-     
-   GUI- XML- GUI
-    , ,   ..
-       ""
-      
-    / 
-  
-   Qt3  tcl 7.3  
-    (   tcl8.4  )
-       tk
-    
-        
  Qt-   .
  
    ,   
  c lib%name.


%package -n lib%name-devel-static
Summary: Static library for QTcl
License: GPL
Group: Development/C++
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
QTcl is the tool to connect state of the art cross platform gui design
with the power of tcl as scripting language for prototypes and small
projects.
Features:
- simple interpreter object for embedding or %name-shell
- handles all Qt objects not only objects created by the interpreter
- full introspection for all objects
- integrates xml-based gui descriptions generated by gui-designer
- factorys for widgets, actions and layouts etc
- implementations for file event and after
- implementation for event receiver and bindings
- debug console and/or shell
- simple extensions
- works with Qt3 and tcl from 7.3 upwards
- works with unicode (if using tcl8.4 or younger)
- no need for tk functions or library
- some widget examples included
- easy to use and extend framework for wrapping Qt objects and their
  methods.

This package includes the static library needed to develop
lib%name-based software.

%description -n lib%name-devel-static -l uk_UA.CP1251
QTcl -        
 GUI   tcl,   ,   
 .
:
-  '     %name-
-   ' Qt,     
  '
-     '
-   GUI- XML- GUI
-    , ,   ..
-       ""
-      '
-    / 
-  
-   Qt3  tcl 7.3  
-    (   tcl8.4  )
-       tk
-    
-        
  Qt-'   .
  
    ,     
 lib%name.

%description -n lib%name-devel-static -l ru_RU.CP1251
QTcl -       
  GUI   tcl,   ,
    .
:
-       %name-
-    Qt,     
  
-     
-   GUI- XML- GUI
-    , ,   ..
-       ""
-      
-    / 
-  
-   Qt3  tcl 7.3  
-    (   tcl8.4  )
-       tk
-    
-        
  Qt-   .
  
    ,   
  c lib%name.


%package -n %kname
Summary: KTcl implements bindings from KDE to tcl
License: GPL
Group: Development/Tcl

%description -n %kname
KTcl is the tool to connect kdelibs with the power of tcl as scripting
language for prototypes and small projects.
Features:
- simple interpreter object for embedding or ktcl-shell
- handles all KDE objects not only objects created by the interpreter
- full introspection for all objects
- integrates xml-based gui descriptions generated by gui-designer
- factorys for widgets, actions and layouts etc
- implementations for file event and after
- implementation for event receiver and bindings
- debug console and/or shell
- simple extensions
- works with KDE3 and tcl from 7.3 upwards
- works with unicode (if using tcl8.4 or younger)
- no need for tk functions or library
- some widget examples included
- easy to use and extend framework for wrapping KDE objects and their
  methods.

%description -n %kname -l uk_UA.CP1251
KTcl -     kdelibs   tcl,  
,     .
:
-  '     %kname-
-   ' KDE,     
  '
-     '
-   GUI- XML- GUI
-    , ,   ..
-       ""
-      '
-    / 
-  
-   KDE3  tcl 7.3  
-    (   tcl8.4  )
-       tk
-    
-        
  KDE-'   .

%description -n %kname -l ru_RU.CP1251
KTcl -     kdelibs   tcl,  
,     .
:
-       %kname-
-    KDE,     
  
-     
-   GUI- XML- GUI
-    , ,   ..
-       ""
-      
-    / 
-  
-   KDE3  tcl 7.3  
-    (   tcl8.4  )
-       tk
-    
-        
  KDE-   .


%package -n lib%kname
Summary: Shared library for KTcl
License: GPL
Group: Development/Tcl
Provides: lib%kname.so

%description -n lib%kname
KTcl is the tool to connect kdelibs with the power of tcl as scripting
language for prototypes and small projects.
Features:
- simple interpreter object for embedding or ktcl-shell
- handles all KDE objects not only objects created by the interpreter
- full introspection for all objects
- integrates xml-based gui descriptions generated by gui-designer
- factorys for widgets, actions and layouts etc
- implementations for file event and after
- implementation for event receiver and bindings
- debug console and/or shell
- simple extensions
- works with KDE3 and tcl from 7.3 upwards
- works with unicode (if using tcl8.4 or younger)
- no need for tk functions or library
- some widget examples included
- easy to use and extend framework for wrapping KDE objects and their
  methods.

This package includes the shared library needed to run lib%kname-based
software.

%description -n lib%kname -l uk_UA.CP1251
KTcl -     kdelibs   tcl,  
,     .
:
-  '     %kname-
-   ' KDE,     
  '
-     '
-   GUI- XML- GUI
-    , ,   ..
-       ""
-      '
-    / 
-  
-   KDE3  tcl 7.3  
-    (   tcl8.4  )
-       tk
-    
-        
  KDE-'   .
  
    ,   
,   lib%kname.
  
%description -n lib%kname -l ru_RU.CP1251
KTcl -     kdelibs   tcl,  
,     .
:
-       %kname-
-    KDE,     
  
-     
-   GUI- XML- GUI
-    , ,   ..
-       ""
-      
-    / 
-  
-   KDE3  tcl 7.3  
-    (   tcl8.4  )
-       tk
-    
-        
  KDE-   .
  
    ,   
,  lib%kname.


%package -n lib%kname-devel
Summary: Files required to compile software that uses lib%kname
License: GPL
Group: Development/C++
Requires: lib%kname-devel = %version

%description -n lib%kname-devel
KTcl is the tool to connect kdelibs with the power of tcl as scripting
language for prototypes and small projects.
Features:
- simple interpreter object for embedding or ktcl-shell
- handles all KDE objects not only objects created by the interpreter
- full introspection for all objects
- integrates xml-based gui descriptions generated by gui-designer
- factorys for widgets, actions and layouts etc
- implementations for file event and after
- implementation for event receiver and bindings
- debug console and/or shell
- simple extensions
- works with KDE3 and tcl from 7.3 upwards
- works with unicode (if using tcl8.4 or younger)
- no need for tk functions or library
- some widget examples included
- easy to use and extend framework for wrapping KDE objects and their
  methods.

This package includes the header files needed to develop lib%kname-based
software.

%description -n lib%kname-devel -l uk_UA.CP1251
KTcl -     kdelibs   tcl,  
,     .
:
-  '     %kname-
-   ' KDE,     
  '
-     '
-   GUI- XML- GUI
-    , ,   ..
-       ""
-      '
-    / 
-  
-   KDE3  tcl 7.3  
-    (   tcl8.4  )
-       tk
-    
-        
  KDE-'   .
  
    ,     
 lib%kname.
  
%description -n lib%kname-devel -l ru_RU.CP1251
KTcl -     kdelibs   tcl,  
,     .
:
-       %kname-
-    KDE,     
  
-     
-   GUI- XML- GUI
-    , ,   ..
-       ""
-      
-    / 
-  
-   KDE3  tcl 7.3  
-    (   tcl8.4  )
-       tk
-    
-        
  KDE-   .
  
    ,   
  c lib%kname.


%package -n lib%kname-devel-static
Summary: Static library for KTcl
License: GPL
Group: Development/C++
Requires: lib%kname-devel = %version-%release

%description -n lib%kname-devel-static
KTcl is the tool to connect kdelibs with the power of tcl as scripting
language for prototypes and small projects.
Features:
- simple interpreter object for embedding or ktcl-shell
- handles all KDE objects not only objects created by the interpreter
- full introspection for all objects
- integrates xml-based gui descriptions generated by gui-designer
- factorys for widgets, actions and layouts etc
- implementations for file event and after
- implementation for event receiver and bindings
- debug console and/or shell
- simple extensions
- works with KDE3 and tcl from 7.3 upwards
- works with unicode (if using tcl8.4 or younger)
- no need for tk functions or library
- some widget examples included
- easy to use and extend framework for wrapping KDE objects and their
  methods.

This package includes the static library needed to develop
lib%kname-based software.

%description -n lib%kname-devel-static -l uk_UA.CP1251
KTcl -     kdelibs   tcl,  
,     .
:
-  '     %kname-
-   ' KDE,     
  '
-     '
-   GUI- XML- GUI
-    , ,   ..
-       ""
-      '
-    / 
-  
-   KDE3  tcl 7.3  
-    (   tcl8.4  )
-       tk
-    
-        
  KDE-'   .
  
    ,     
 lib%kname.
  
%description -n lib%kname-devel-static -l ru_RU.CP1251
KTcl -     kdelibs   tcl,  
,     .
:
-       %kname-
-    KDE,     
  
-     
-   GUI- XML- GUI
-    , ,   ..
-       ""
-      
-    / 
-  
-   KDE3  tcl 7.3  
-    (   tcl8.4  )
-       tk
-    
-        
  KDE-   .
  
    ,   
  c lib%kname.


%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
subst '/^CC=/ s/-Wall/%optflags/' configure.in


%build
%autoreconf
%configure --with-tcl=%_libdir --with-qt=%_libdir/qt3
%make_build


%install
install -d -m 0755 %buildroot{%_libdir/kde3/plugins/designer,%_bindir,%_includedir/{%name,%kname},%_docdir/%kname-%version}
%make_install prefix=%buildroot%_prefix libdir=%buildroot%_libdir install
install -m 0644 %name/*.h %buildroot%_includedir/%name/
install -m 0644 kde/*.h %buildroot%_includedir/%kname/
install -m 0644 %SOURCE1 %buildroot%_docdir/%kname-%version/README


%files
%doc README TODO doc/%name.html
%_bindir/%name
%_libdir/kde3/plugins/designer/*


%files -n lib%name
%_libdir/lib%name.so


%files -n lib%name-devel
%_includedir/%name/*


%files -n lib%name-devel-static
%_libdir/lib%name.a


%files -n %kname
%_docdir/%kname-%version
%_bindir/%kname


%files -n lib%kname
%_libdir/lib%kname.so


%files -n lib%kname-devel
%_includedir/%kname/*


%files -n lib%kname-devel-static
%_libdir/lib%kname.a


%changelog
* Mon Nov 02 2009 Igor Vlasenko <viy@altlinux.ru> 1.2-alt6.1
- NMU (by repocop): the following fixes applied:
  * post_ldconfig for libqtcl
  * postun_ldconfig for libqtcl
  * post_ldconfig for libktcl
  * postun_ldconfig for libktcl

* Fri Mar 21 2008 Led <led@altlinux.ru> 1.2-alt6
- rebuild with libtcl8.5.so
- fixed License
- cleaned up spec

* Tue May 23 2006 Led <led@altlinux.ru> 1.2-alt5
- added %name-1,2-sizeof_ptr
- fixed %%configure parameters
- fixed spec

* Wed Mar 29 2006 Led <led@altlinux.ru> 1.2-alt4
- fixed spec
- added %name-1.2-configure.patch
- added --with-tcl=%%_tcllibdir to %%configure for correct build in x86_64


* Fri Mar 24 2006 Led <led@altlinux.ru> 1.2-alt3
- removed %name-1.2-install.patch
- added %name-1.2-makefile.patch
- changed libs path

* Fri Jan 27 2006 Led <led@altlinux.ru> 1.2-alt2
- uk and ru Summary and description
- fix spec
- added lib%name, lib%kname and match devel/devel-static packages

* Wed Dec 07 2005 Led <led@altlinux.ru> 1.2-alt1
- initial build
